Customer (CMDB Model API)
Keywords: com.collation.platform.model.topology.process.Customer interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.process
Interface Customer

All Superinterfaces:
  Contact, ManagedElement, ModelObject, OrganizationalEntity, java.io.Serializable

    public interface Customer

extends OrganizationalEntity, Contact

Naming Rules:
  0="customerName"
Persistable:
  true
Table Name:
  CUSTOMER
Display Name:
  customerName

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`Account[]` | `getAccounts()`
`java.lang.String` | `getCustomerName()`
`boolean` | `hasAccounts()`
`boolean` | `hasCustomerName()`
`void` | `setAccounts(Account[] x)`
`void` | `setCustomerName(java.lang.String x)`

Methods inherited from interface com.collation.platform.model.topology.process.OrganizationalEntity
`getAssignedContactpurpose, getAssignedRoles, getBusinessCategory, getCAGECode, getContactpurposeOwner, getDUNSNumber, getEmail, getEntityName, getFax, getGlobalName, getISICCode, getManager, getManagingEntity, getMobilePhone, getNAICSCode, getName, getNAPCSCode, getNote, getOwnedPurpose, getSICCode, getSupportedPurpose, getSupportingContactPurpose, getTitle, getType, getURL, getWorkPhone, hasAssignedContactpurpose, hasAssignedRoles, hasBusinessCategory, hasCAGECode, hasContactpurposeOwner, hasDUNSNumber, hasEmail, hasEntityName, hasFax, hasGlobalName, hasISICCode, hasManager, hasManagingEntity, hasMobilePhone, hasNAICSCode, hasName, hasNAPCSCode, hasNote, hasOwnedPurpose, hasSICCode, hasSupportedPurpose, hasSupportingContactPurpose, hasTitle, hasType, hasURL, hasWorkPhone, setAssignedContactpurpose, setAssignedRoles, setBusinessCategory, setCAGECode, setContactpurposeOwner, setDUNSNumber, setEmail, setEntityName, setFax, setGlobalName, setISICCode, setManager, setManagingEntity, setMobilePhone, setNAICSCode, setName, setNAPCSCode, setNote, setOwnedPurpose, setSICCode, setSupportedPurpose, setSupportingContactPurpose, setTitle, setType, setURL, setWorkPhone`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getCustomerName

    java.lang.String getCustomerName()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCustomerName

    void setCustomerName(java.lang.String x)

### hasCustomerName

    boolean hasCustomerName()

### getAccounts

    Account[] getAccounts()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Federates" reverse="false"

### setAccounts

    void setAccounts(Account[] x)

### hasAccounts

    boolean hasAccounts()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD